%global gitcheckout 20131130

Name:           libnftables
Version:        0.0
Release:        0.1.%{gitcheckout}git%{?dist}
Summary:        Library for low-level interaction with nftables Netlink's API over libmnl

License:        GPLv2+
URL:            http://netfilter.org/projects/nftables/
#
# There is currently no upstream releases yet, so we pull from git
# git clone git://git.netfilter.org/libnftables
# git archive -o libnftables-0.0-%{gitcheckout}git.tar.gz --prefix=libnftables-0.0/ master
# 
Source0:        libnftables-0.0-%{gitcheckout}git.tar.gz

BuildRequires:  autogen
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  libmnl-devel

%description
A library for low-level interaction with nftables Netlink's API over libmnl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libnftables-0.0


%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/libnftables*.so
%{_libdir}/pkgconfig/libnftables.pc
%{_includedir}/libnftables

%changelog
* Sat Nov 30 2013 Kevin Fenzi <kevin@scrye.com> 0.0-0.1
- initial version for Fedora review
